# PulpPythonClient::PythonBanderRemote

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**config** | **File** | A Bandersnatch config that may be used to construct a Python Remote. | 
**name** | **String** | A unique name for this remote | 
**policy** | [**PolicyEnum**](PolicyEnum.md) | The policy to use when downloading content. The possible values include: &#39;immediate&#39;, &#39;on_demand&#39;, and &#39;streamed&#39;. &#39;on_demand&#39; is the default.  * &#x60;immediate&#x60; - When syncing, download all metadata and content now. * &#x60;on_demand&#x60; - When syncing, download metadata, but do not download content now. Instead, download content as clients request it, and save it in Pulp to be served for future client requests. * &#x60;streamed&#x60; - When syncing, download metadata, but do not download content now. Instead,download content as clients request it, but never save it in Pulp. This causes future requests for that same content to have to be downloaded again. | [optional] 

## Code Sample

```ruby
require 'PulpPythonClient'

instance = PulpPythonClient::PythonBanderRemote.new(config: null,
                                 name: null,
                                 policy: null)
```


